Debian Bug report logs - #640200
italc: Please upgrade to 2.0

version graph

Package: italc; Maintainer for italc is Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>;

Reported by: Angel Abad <angel@debian.org>

Date: Sat, 3 Sep 2011 10:57:01 UTC

Severity: wishlist

Merged with 654935

Fixed in version italc/1:2.0.0-1

Done: Mike Gabriel <sunweaver@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, angelabad@gmail.com, Patrick Winnertz <winnie@debian.org>:
Bug#640200; Package italc. (Sat, 03 Sep 2011 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Angel Abad <angelabad@gmail.com>:
New Bug report received and forwarded. Copy sent to angelabad@gmail.com, Patrick Winnertz <winnie@debian.org>. (Sat, 03 Sep 2011 10:57:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Angel Abad <angelabad@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: italc: Please upgrade to 2.0
Date: Sat, 03 Sep 2011 12:54:31 +0200
Package: italc
Severity: wishlist

Dear Maintainer, italc 2.0 is now available, could you please
upgrade Debian package?

- http://italc.sourceforge.net/home.php
- http://sourceforge.net/projects/italc/files/italc2/2.0.0/

Thanks for your work!

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Changed Bug submitter to 'Angel Abad <angel@debian.org>' from 'Angel Abad <angelabad@gmail.com>' Request was from Angel Abad <angel@debian.org> to control@bugs.debian.org. (Mon, 02 Jan 2012 10:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#640200; Package italc. (Sat, 12 May 2012 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Sat, 12 May 2012 14:21:10 GMT) Full text and rfc822 format available.

Message #12 received at 640200@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 640200@bugs.debian.org
Subject: work started on italc2 package
Date: Sat, 12 May 2012 16:18:52 +0200
[Message part 1 (text/plain, inline)]
Hi Patrick,

as I could not reach you via mail nor IRC, I have file an ITP bug  
against wnpp for italc2.
http://bugs.debian.org/672636

I would rather prefer a smooth upgrade of the italc package with  
upstream version 2.0.0, so rather than uploading a new source package  
called italc2 I would like to offer co-maintenance of iTalc and  
perform the upgrade step.

Please give feedback on your preferred approach.

Thanks!!!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#640200; Package italc. (Fri, 18 May 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Fri, 18 May 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 640200@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: debian-edu@lists.debian.org
Cc: 640200@bugs.debian.org, 672636@bugs.debian.org
Subject: iTALC2 package source in Git (git.debian.org)
Date: Fri, 18 May 2012 21:06:01 +0200
[Message part 1 (text/plain, inline)]
Hi all,

for those curious about testing italc (v2) for Debian (also squeeze):

 $ git clone git://git.debian.org/debian-edu/italc.git
 $ cd italc
 $ git-buildpackage -uc -us

What is still on my todo list, is:

  o make /etc/italc/italc.conf fully configurable via debconf (preseeding)
  o customize group creation for teachers, others (+ admins? +supporters?),
    also via preseeding

With the current status you can use the iTALC internal tools for  
configuration. Also see /usr/share/doc/italc-master/* for further  
input once the package(s) are installed.

@Winnie: it would be good if you could give feedback about the package  
becoming pkg-edu-devel team-maintained!!! (see /debian/control in the  
src:package).

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, dorfstr. 27, 24245 barmissen
fon: +49 (4302) 281418, fax: +49 (4302) 281419

GnuPG Key ID 0xB588399B
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Merged 640200 654935 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sun, 17 Feb 2013 16:33:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 03 May 2013 20:12:18 GMT) Full text and rfc822 format available.

Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Fri, 10 May 2013 15:03:09 GMT) Full text and rfc822 format available.

Notification sent to Angel Abad <angel@debian.org>:
Bug acknowledged by developer. (Fri, 10 May 2013 15:03:09 GMT) Full text and rfc822 format available.

Message #26 received at 640200-close@bugs.debian.org (full text, mbox):

From: Mike Gabriel <sunweaver@debian.org>
To: 640200-close@bugs.debian.org
Subject: Bug#640200: fixed in italc 1:2.0.0-1
Date: Fri, 10 May 2013 15:00:11 +0000
Source: italc
Source-Version: 1:2.0.0-1

We believe that the bug you reported is fixed in the latest version of
italc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640200@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Gabriel <sunweaver@debian.org> (supplier of updated italc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 03 May 2013 13:23:05 +0200
Source: italc
Binary: italc-master italc-client italc-management-console libitalccore
Architecture: source amd64
Version: 1:2.0.0-1
Distribution: sid
Urgency: low
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Changed-By: Mike Gabriel <sunweaver@debian.org>
Description: 
 italc-client - Intelligent Teaching and Learning with Computers - Client
 italc-management-console - Intelligent Teaching and Learning with Computers - Management Con
 italc-master - Intelligent Teaching and Learning with Computers - Master
 libitalccore - Intelligent Teaching and Learning with Computers - common librari
Closes: 640200 672636
Changes: 
 italc (1:2.0.0-1) unstable; urgency=low
 .
   * New upstream release (Closes: #640200, #672636).
   * Package becomes team-maintained (debian-edu-pkg-team@l.alioth.d.o).
   * Raise compat level to 7.
   * Use multi-line fields in /debian/control.
   * Add build-dependencies: libpam0g-dev, linux-libc-dev, and cmake.
     Also add-in build-dependencies found in x11vnc Debian package. Add
     build-dependency: libv4l-dev.
   * Add Vcs-* lines to /debian/control.
   * Make /debian/copyright DEP-5 compliant.
   * Drop outdated README.Debian, include upstream documentation files in
     package.
   * Drop lintian overrides from former package versions.
   * New binary package: italc-management-console.
   * Add quilt (>= 0.46-7~) as build dependency. Include CDBS rule
     patchsys-quilt.
   * Add patch: 001_set-static-libdir-and-rpath-for-cmake.patch, adapt to
     new iTALC library name: libItalcCore.so, rename binary package libitalc to
     libitalccore. As libItalcCore.so is private/unversioned, we use RPATH to
     build/find <LIB_DIR>/italc/libItalcCore.so.
   * Add patch: 002_use-v4l-videodev2.patch, support building with v4l2 support
     if present.
   * Add patch: 003_rename-plugin-dir.patch, change name of iTalc plugin
     directory.
   * Add patch: 004_x2go-nx-noxdamage.patch, handle iTALC in X2Go sessions in
     the same way as in NX sessions.
   * Grab man page from upstream Git: imc.8.
   * Contribute man page: italc_auth_helper.1, no man page available for
     italc_auth_helper by upstream.
   * Add build-dependency: gcj-jdk. This triggers the java-build of the iTALC
     JavaViewer which then gets integrated into the iTALC client.
   * Add patch: 011_qt-signals.patch.
   * Add patch: 021_man-page-patch-in.patch, update upstream man pages, apply
     similar changes to italc_auth_helper.1 provided by us.
   * Drop man page options that are not available in iTALC 2.x anymore, add
     those that have been added. Fixing non-up-to-date upstream version of man
     pages for ica.1 and italc.1.
   * Install italc_auth_helper setuid root (via dpkg-statoverride).
   * Provide default iTALC.conf configuration file.
   * Install italc-* system groups by default (italc-admins, italc-supporters,
     italc-teachers, italc-students).
   * Create iTALC key pairs for roles: admin, supporter, teacher during package
     configuration.
   * Add patch: 005_gcc47-ftbfs.patch. Fixes FTBFS with gcc-4.7.
   * Harden package build.
   * Bump Standards version to 3.9.4.
Checksums-Sha1: 
 40bcb9b1ab750cf47506b4979c0bdb7c5f41e67f 2449 italc_2.0.0-1.dsc
 fd4e4ef448bd68661dfb9a8fe0f696701281a146 3341187 italc_2.0.0.orig.tar.bz2
 bc6a228b0b823dab921b399d91ce1c81128eccf0 16340 italc_2.0.0-1.debian.tar.gz
 89c817503f50d7361aea188fba6bb494a2f4d923 674412 italc-master_2.0.0-1_amd64.deb
 801519822d08cedffa02f12120316c2216c86c7d 707932 italc-client_2.0.0-1_amd64.deb
 3cb096b8781b8aae66a56999bbe1259143320e92 149800 italc-management-console_2.0.0-1_amd64.deb
 27618e05fe5a02a4facc26b463d646fd2e73b8e8 558966 libitalccore_2.0.0-1_amd64.deb
Checksums-Sha256: 
 5514dd03898613766841356b295049fefe2bd40ff45ef0b5d5a5a9db6c5096cd 2449 italc_2.0.0-1.dsc
 f4d3a0f62d1475a2c7cfda1ace9d70d3cbd245e2e89d9ab7595354a2eb9a111f 3341187 italc_2.0.0.orig.tar.bz2
 30b3e192e54032ad0703db9c07080a5b14eb598739a50d5ab60eab37650d8b83 16340 italc_2.0.0-1.debian.tar.gz
 a61fbde6fbc410cf506144ec86ce218c7cf3a3ac2522f79bbcf7d160da10a59d 674412 italc-master_2.0.0-1_amd64.deb
 2e5161479b9cf6ce585d46f815b4779c2985c5b7999fb6ae0bffa140d4c5e095 707932 italc-client_2.0.0-1_amd64.deb
 7ef3fe5a9402471e3e23745b41a75317072145de0ab93f43ec2ea100bc559a51 149800 italc-management-console_2.0.0-1_amd64.deb
 3b7be57b526a8b025f275b2cb38633ee8fe9b4ceed0e5fe48f552bfa98d36c4d 558966 libitalccore_2.0.0-1_amd64.deb
Files: 
 facf2e068cd28de71b9f979a09cc5bdd 2449 x11 optional italc_2.0.0-1.dsc
 f60691889e5d7ca7ab087a0ce779e918 3341187 x11 optional italc_2.0.0.orig.tar.bz2
 233fd7eba745abfc437580da2db9489b 16340 x11 optional italc_2.0.0-1.debian.tar.gz
 f261a8261dd0e09ddba9ddeb5a39aee4 674412 x11 optional italc-master_2.0.0-1_amd64.deb
 61541887031b46b8f2ae750714e3a925 707932 x11 optional italc-client_2.0.0-1_amd64.deb
 861b60f6395321e2b2f0e871b1d96a26 149800 x11 optional italc-management-console_2.0.0-1_amd64.deb
 2f39a77451fcd8cc2adf88f834849f1a 558966 x11 optional libitalccore_2.0.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRg6G6AAoJEJr0azAldxsxi9AP/22tSk3Sbv3B9QLIC7F46nTD
UU2HYuHgQKz0AxaakMX76hgGjXaSdn2ySO/F85Q7i1HvXYDGfPJ83bhGRPANQ2rh
DZOzPFZamjdSBKwQsgXWgz5QQemR21k2UrlWSRodI5bftL9H54dZkEVnjCkQhaVx
WJ7g5FEe+tBGr+DlD6WWhKtYji0thxye5JaBb2uaa+7N3QKyiGAP+4NW5q1yhqsS
VdkBi27jmuy06ugvD8zUft5KWmvJE5nsTGBbNFQ9LqbWgJAu1ni3DpZLiqcQTm7T
9bq9FoLObJxfwAhyAoj48jSzv6MU3wMnQUXqE0uRYSfnUPI6Cu/XmMlZD6iIngbe
fcDjkUMtbh4SbHsnhN7jEEs5E8PKpEuH41F4ykobRi6sojNW2KeW9OvvUpHhv24w
0A7Gq6BEKliqggjEwBMMm/sJS9Xi1D4iL7nItTAMuHUqfzZ/C4O/YafiK1P7gtLp
jDYYvG/M42y+cYStVp5HnBwRejQuhbg6A9+OApG90KgDhq0mufQ1wLUMfjh2+prL
ik7u/zVYtmrLDsL/5EZvE87Xqra/IorKdZhwEqjc0tl7aeJyuz+sFv8Mj3N4Cexg
HzONNQugterzBehyswYRLYAxHEldiIfBoc5mucOll6srQFhKiXSDqJ6CT3nOJVfY
0lAxUpbUxqyXF1n3o45+
=Y4P9
-----END PGP SIGNATURE-----




Reply sent to Mike Gabriel <sunweaver@debian.org>:
You have taken responsibility. (Fri, 10 May 2013 15:03:10 GMT) Full text and rfc822 format available.

Notification sent to andy b <b.andysc@gmail.com>:
Bug acknowledged by developer. (Fri, 10 May 2013 15:03:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jun 2013 07:25:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:04:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.